const St = imports.gi.St;
const Main = imports.ui.main;
const Lang = imports.lang;
const Shell = imports.gi.Shell;
const GLib = imports.gi.GLib;
const PopupMenu = imports.ui.popupMenu;
const Gettext = imports.gettext.domain("empathy-contacts-in-usermenu@rtt.uy");
const _ = Gettext.gettext;

let _itemChat = null;

function init(metadata) {
  /* Nothing to do */
}

function enable() {
  _itemChat = new PopupMenu.PopupMenuItem(_("Chat Room"));
  _itemChat.connect('activate', Lang.bind(_itemChat, function() {
    (Shell.AppSystem.get_default().lookup_app('empathy.desktop')).open_new_window(-1);
    Main.overview.hide();
  }));
  Main.panel._statusArea.userMenu.menu.addMenuItem(_itemChat, 2);
}

function disable() {
  if (_itemChat != null) { _itemChat.destroy(); }
}
